package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.GroupType;

public class StudentLeaveCourseDto {

    private Long courseScheduleId;

    private String courseName;

    private String groupId;

    private GroupType groupType;

    private CourseSchedule.CourseScheduleType courseScheduleType;

    private Integer actualTeacherId;

    private String teacherName;

    private String classDate;

    private String startClassTime;

    private String endClassTime;

    private Integer leaveVisitFlag;

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public CourseSchedule.CourseScheduleType getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(CourseSchedule.CourseScheduleType courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public Integer getActualTeacherId() {
        return actualTeacherId;
    }

    public void setActualTeacherId(Integer actualTeacherId) {
        this.actualTeacherId = actualTeacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Integer getLeaveVisitFlag() {
        return leaveVisitFlag;
    }

    public void setLeaveVisitFlag(Integer leaveVisitFlag) {
        this.leaveVisitFlag = leaveVisitFlag;
    }
}
